# Definition einiger wichtigen Systemproceduren.
# Version: 07.03.1999
# Diese Library ist Bestandteil des AstroIx Programmpaketes
# Copyright (c) 1998 Xaman Ek Xols
# Autor: Wolfgang Pawlowski

proc holeHeimat {} { 
  global env
  global home
  set f [open [file join "$env(HOME)/astroix/Heimat"]]
  set str [gets $f] 
  set home(Koerper) [string range $str 25 end]
  set str [gets $f] 
  set home(Ort) [string range $str 25 end]
  set str [gets $f] 
  set home(Breite) [string range $str 25 end]
  set str [gets $f] 
  set home(Laenge) [string range $str 25 end]
  set str [gets $f] 
  set home(Hoehe) [string range $str 25 end]
  set str [gets $f] 
  set home(Zeitzonendiff) [string range $str 25 end]
  close $f
}

proc holeConst {vart stufe} {
	global env
	set out -1
  set f [open [file join "$env(HOME)/astroix/const"]]
  while {![eof $f]} {
     set str [gets $f]
     set zwi [string range $str 0 14]
     set zwi [string trimright $zwi " "]
     if {$zwi == $vart} {
       if {$stufe == 1} {
         set outi [string range $str 15 58]
       } 
       if {$stufe == 2} {
         set outi [string range $str 59 68]
       } 
       if {$stufe == 3} {
         set outi [string range $str 69 88]
       } 
       if {$stufe == 4} {
         set outi [string range $str 89 end]
       }
       set out [string trimright $outi " "]
    }
  }
  close $f
  return $out
}

proc alertBox {was} {
    tk_messageBox -icon error -type ok -title "Alert" -message "$was"
}

proc innerBox {xa ya xb yb x1 y1 x2 y2} {
	set out FALSE
	if {($xa >= $x1) && ($xa <= $x2)} {
		if {($xb >= $x1) && ($xb <= $x2)} {
			if {($ya >= $y1) && ($ya <= $y2)} {
				if {($yb >= $y1) && ($yb <= $y2)} {
					set out TRUE
				}
			}
		}
	}
	return $out
}
